## Script (Python) "getCertificateInfo"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=student=None
##title=
##
# $Id: getCertificateInfo.py 911 2006-11-20 15:11:29Z henrik $
"""
return Info about a Certificate
"""
request = context.REQUEST

wf = context.portal_workflow
path_info = request.get('PATH_INFO').split('/')

info = {}
info['is_sm'] = context.isSectionManager()
info['is_so'] = context.isSectionOfficer()
info['is_student'] = context.isStudent()
info['action'] = "%s" % context.campus.absolute_url()
info['choosen_ids'] = request.get('ids',[])
info['doc'] = context.getContent()
items = []
levels = context.objectValues()
for l in levels:
    row = {}
    ld = l.getContent()
    row['id'] = l.getId()
    if hasattr(ld,'Title'):
        row['title'] = ld.Title()
    else:
        row['title'] = getattr(ld,'title','no title')
    row['url'] = l.absolute_url()
    items.append(row)
info['items'] = items
return info
